Summary:	A utility to make wheel mice work under X
Name:		imwheel
Version:	0.9.9
Release:	5mdk
License:	GPL
Group:		System/Kernel and hardware
BuildRequires:	XFree86-devel
Source:		%{name}-%{version}.tar.bz2

# (fg) 20000717: fix symlink exploit in imwheel-solo (this source)
Source1:	wheel.pl.bz2
Source2:	imwheelrc.bz2
Source3:	imwheel.xinit

Patch0:		imwheel-0.9.6-etc_X11.patch.bz2
Patch1:		imwheel-0.9.8-gpm-glibc2.2.patch.bz2
Patch2:		imwheel-0.9.9-gcc-3.3.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-root
URL:		http://jcatki.dhs.org/imwheel/

%description 
This is imwheel, it's a program to use that good ole
Microsoft IntelliMouse Wheel under X11 on Linux.

It can be used both with XFree86 and with closed-source
commercial X-servers (for example those made by MetroLink
or Xi Graphics).

%prep

%setup -q
%patch0 -p1 
%patch1 -p1 
%patch2 -p1 -b .gcc3.3

%build
%configure

rm -f gpm-imwheel
%make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man1 
# Binaries...
install -c -m 0755 imwheel $RPM_BUILD_ROOT%{_bindir}/imwheel
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/imwheel-solo

# the manpage
install -c -m 0644 imwheel.1 $RPM_BUILD_ROOT%{_mandir}/man1/imwheel.1x

# the default configuration
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit.d
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/X11/imwheelrc
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit.d/imwheel


%clean
rm -fr %buildroot


%files
%defattr(-,root,root,755)
%config(noreplace) %{_sysconfdir}/X11/imwheelrc
%config(noreplace) %{_sysconfdir}/X11/xinit.d/imwheel
%{_bindir}/imwheel
%attr(4755, root, root) %{_bindir}/imwheel-solo
%{_mandir}/man1/*

%doc BUGS ChangeLog COPYING README.Mandrake README EMACS

%changelog
* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.9-5mdk
- fix gcc-3.3 patch (P2)

* Wed Jul 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.9-4mdk
- fix gcc-3.3 build (P2)
- rm -rf $RPM_BUILD_ROOT in %%install
- macroize
- remove full path to install
- remove prefix, it's not used

* Thu Mar  7 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.9.9-3mdk
- excluded Galeon and Nautilus (Goetz Waschk)

* Wed Jan 16 2002 David BAUDENS <baudens@mandrakesoft.com> 0.9.9-2mdk
- Clean after build

* Fri Nov 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.9-1mdk
- 0.9.9

* Wed Nov 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.8-9mdk
- Fix glibc2.2 compilation.

* Tue Oct 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-8mdk
- Exclude Mozilla, GnomeTerminal

* Fri Sep 29 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.8-7mdk
- Exclude Konqueror

* Fri Sep 22 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.8-6mdk
- don't use imwheel with XMMS (support is already builtin).
- exclude xev too.

* Fri Sep  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.8-5mdk
- don't use a pid file because it's not needed for the XGrab method and
prevents normal users from running after root.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.8-4mdk
- automatically added BuildRequires

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.8-3mdk
- use new macros
- BM

* Mon Jul 17 2000 Francis Galiegue <fg@mandrakesoft.com> 0.9.8-2mdk
- Fixed symlink exploit in imwheel-solo
- Lighter fix for root exploit

* Wed Apr 12 2000 Francis Galiegue <fg@mandrakesoft.com> 0.9.8-1mdk
- 0.9.8
- Removed sticky bit (huh?) for imwheel binary
- Let spec-helper do its job
- %files list fixes
- Fixed root exploit - thanks to Sebastien Bricout <seb@tuxfinder.com> for
  raising the bug.
  
* Tue Apr 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.6-10mdk
- launch imwheel from /etc/X11/xinit.d

* Mon Apr 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.6-9mdk
- updated URL.
- fixed group.

* Thu Mar 09 2000 Francis Galiegue <francis@mandrakesoft.com> 0.9.6-8mdk
- Minor changes to imwheelrc

* Mon Jan 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.6-7mdk
- fix build as non root.

* Mon Aug 09 1999 Peter Putzer <pputzer@linux-mandrake.com>
- fixed Vendor tag
- bzip2'ed wheel.pl & imwheelrc
- don't compile gpm-imwheel anymore, it's useless
- moved configuration file from /etc/imwheelrc to /etc/X11/imwheelrc

* Sun Aug 08 1999 Peter Putzer <pputzer@linux-mandrake.com>
- made relocatable

* Sat Aug 07 1999 Peter Putzer <pputzer@linux-mandrake.com>
- fixed some typos/mis-spellings in the spec-file
- removed the %post-install script, this can be done more
  easily by patching /etc/X11/xdm/Xsession!
- added adapted /etc/imwheelrc (to work with XEmacs and konsole)
- bzip2'ed the manpage
- moved manpage to /usr/X11R6/man/man1

* Thu Aug 05 1999 Peter Putzer <pputzer@linux-mandrake.com>
- rebuilt for Mandrake 6.0 (I'm the offical maintainer of this
  package now) 
- small fix in %post script (in case some line in Xsession is
  commented out)
- bzip2'ed the source

* Thu Jul 01 1999 Peter Putzer <putzer@kde.org>
- suidperl script for always managing pidfiles

* Sun May 02 1999 Peter Putzer <putzer@kde.org>
- fixed group fro Red Hat 6.0
- added RPM_OPT_FLAGS
- imwheel installed suid root
 
* Wed Apr 27 1999 Sean P. Kane <kane@ca.metsci.com>
- Fixed changelog so that this spec file works. 
- Therefore the entries below here may be a bit inaccurate.

* Sat Apr 10 1999 Nick Koston <bdraco@darkorb.net>
- Added the man page
- Added the support programs programs
- Packaged 0.9.6
- Removed gpm since it conflicts with the gpm package
- Changed path names to be more like redhat
